支付与出票
Header parameters
AcceptstringRequiredExample:
application/jsonContent-TypestringRequiredExample:
application/jsonAccept-EncodingstringRequiredExample:
gzipx-atlas-client-idstringRequiredExample:
NAR65434_api_1x-atlas-client-secretstringRequiredExample:
<YOUR_CLIENT_SECRET>Body
orderNostringRequired
Order number you want to do the payment.
paymentMethodinteger · enumRequiredPossible values:
The payment method you want to use
- 1: balance
- 3: vcc passthough
- 4: BYOA
- 5: MoR
clientOrderNostring · nullableOptional
Order number at the customer side.
requestSourcestring · nullableOptional
The tag to identify which channel does this traffic come from. For example: SkyScanner,Google,Oganic search,etc…
Responses
200Success
application/json
statusinteger · enumRequiredPossible values:
- 400: Illegal request param. Description: Check and correct the request parameters according to the error message.
- 401: Later than the payment deadline. Description: Payment for the booking was initiated later than the payment deadline.
- 402: Order status does not support payment. Description: The order status maybe “ticketing” or “ticketed” where the payment has already been made. Check if the order status is unpaid
- 403: Unsupported payment method. Description: The payment method is not supported for this order.
- 404: The order is already paid. Description: Check if the order has been paid. If “yes”, do not send the payment request
- 406: Payment operation is in progress. Description: The previous payment request is still in process. Wait for the airline PNR to be received in the PNR details response.
- 407: Some mandatory element for the passenger has not been submitted.. Description: Check the information and correct the same and resubmit.
- 408: Passenger can not board alone. Description: Create a new order and add an adult passenger with the child passenger
- 409: Additional baggage does not match the flight segment. Description: Luggage purchased for each segment of a connecting flight must be the same.
- 410: The contact information is not in the correct format.. Description: Check the contact information and confirm that it matches the required format.
- 411: Some error happened with the payment gateway. Description: Some error happened with the payment gateway
- 412: No available payment methods. Description: No available payment methods for this order
- 413: Card is not supported. Description: For MoR, the brand of the card sent by customer is not supported by Atlas.
- 414: Card mismatch. Description: The brand of the card sent during payment is inconsistent with the "cardType" sent when generating the order.
- 415: order is not confirmed by user. Description: order is not confirmed by user
msgstring · nullableOptional
It serves as an additional description of the response result. Especially when the interface reports an error (status !=0), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to0at any time.
orderNostringRequired
Echo the order number
paymentMethodinteger · enumRequiredPossible values:
Payment method
post
/pay.do200Success
Last updated
Was this helpful?

